| Bsoft 2.0.5 Bernard's software package

Functions
ps_tree.h File Reference

Header file for writing a tree into a postcsript file. More...

`#include "rwtree.h"`
`#include "ps_plot.h"`
`#include "Bstring.h"`

Go to the source code of this file.

## Functions
int | ps_draw_tree (Bstring &filename, Bnode *root, float scale)
| Draws a tree into a postscript file. More...
int | ps_draw_node (ofstream *fps, Bnode *node, float scale, float x, float y)
| Draws a tree node into a postscript file. More...

## Detailed Description

Header file for writing a tree into a postcsript file.

Author
  Bernard Heymann

Date
  Created: 20010722
  Modified: 20120416

Definition in file ps_tree.h.

## Function Documentation

## ◆ ps_draw_node()

int ps_draw_node | ( | ofstream * | fps,
|  | Bnode * | node,
|  | float | scale,
|  | float | x,
|  | float | y
| ) |  |

Draws a tree node into a postscript file.

    Requirements:
        The tree must be well-formed, i.e., it must have branch lengths
        and angles defined.

Parameters

  *fps | file pointer.
  *node | node.
  scale | scale for branch lengths
  x | x-coordinate for the node.
  y | y-coordinate for the node.

Returns
  int 0.

Definition at line 63 of file ps_tree.cpp.

## ◆ ps_draw_tree()

int ps_draw_tree | ( | Bstring & | filename,
|  | Bnode * | root,
|  | float | scale
| ) |  |

Draws a tree into a postscript file.

    Requirements:
        The tree must be well-formed, i.e., it must have branch lengths
        and angles defined.

Parameters

  &filename | postscript file name.
  *root | root node.
  scale | scale for branch lengths.

Returns
  int 0.

Definition at line 28 of file ps_tree.cpp.